Skip to content

Change a picklist value name (only). To change a picklist value label, see the previous section above.

CAUTION: Use caution when editing picklist labels or names. When these attributes are changed, they affect all existing document and object metadata that refer to the picklist. For users in the UI who are accustomed to seeing a particular selection, the changes may cause confusion. This may also break existing integrations that access picklist values via the API.

PUT/api/{version}/objects/picklists/{picklist_name}/{picklist_value_name}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{picklist_name}The picklist name field value (license_type__v, product_family__c, region__c, etc.)
{picklist_value_name}The picklist value name field value (north_america__c, south_america__c, etc.)

To change an existing picklist value name, use name set to a new value. The picklist value label will remain unchanged. For example, to change the picklist value name north_america__c, enter "name=north_america_united_states". Values may only contain a-z, 0-9, and single consecutive underscores; cannot start or end with an underscore; cannot contain spaces (use underscores). Do not append the name with __v, __c, or __c. Vault will add __c after processing.

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "name=north_america_united_states" \ https://myvault.veevavault.com/api/v17.2/objects/picklists/regions__c/north_america__c
{ "responseStatus": "SUCCESS" }

Only the picklist value name is changed. The picklist value label remains the same. In the UI, Admins will see the new name in Admin > Business Admin > Picklists > {Picklist}.